Holger's Java API

## com.antelmann.sql
Class DBDocument.Header

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.PropertyEntryImpl
              com.antelmann.db.EntryHeader<DBDocument>
                  com.antelmann.sql.DBDocument.Header

All Implemented Interfaces:
  DBEntry, DBReference, PropertyEntry, DetailedString, Serializable

Enclosing class:
  DBDocument

    public static class DBDocument.Header

extends EntryHeader<DBDocument>

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.antelmann.db.PropertyEntryImpl
`propertyChangeSupport, props, um, vcs`

Fields inherited from interface com.antelmann.db.DBReference
`REFERENCE_FLAVOR, REFERENCE_LIST_FLAVOR`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`DBDocument.Header(Object id)`
`DBDocument.Header(Object id, Map<String,Object> properties)`

Method Summary

Methods inherited from class com.antelmann.db.EntryHeader
`asStub, equals, getDisplayProperty, getReferenceClass, getReferenceEntry, getReferenceID, getReferenceString, setDisplayProperty, toString`

Methods inherited from class com.antelmann.db.PropertyEntryImpl

`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, asProperties, canRedo, canUndo, checkPropertyChange, clearProperties, containsPropertyText, containsValuePattern, equalWithProperties, equalWithProperties, getBoolean, getNumber, getProperties, getProperty, getProperty, getPropertyChangeListeners, getPropertyComparator, getPropertyExtractor, getPropertyExtractor, getPropertyKeys, getStringExtractor, getVetoableChangeListeners, isCaseInsensitive, isChangeListenerSupportEnabled, isKeyIn, isUndoSupport, isVetoableChangeSupportEnabled, putAll, redo, removeProperty, removePropertyChangeListener, removeVetoableChangeListener, setAllFrom, setCaseInsensitive, setChangeListenerSupport, setProperty, setUndoSupported, setVetoableChangeSupport, toDetailedString, undo, verifyProperties`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Constructor Detail

### DBDocument.Header

    public DBDocument.Header(Object id)

### DBDocument.Header

    public DBDocument.Header(Object id,
                             Map<String,Object> properties)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads